clang 8.0.0

Namespaces | Functions | Variables
Execution.cpp File Reference
`#include "clang/Tooling/Execution.h"`
`#include "clang/Tooling/ToolExecutorPluginRegistry.h"`
`#include "clang/Tooling/Tooling.h"`
Include dependency graph for Execution.cpp:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling
| clang::tooling::internal

## Functions
llvm::cl::opt< std::string > | clang::tooling::ExecutorName ("executor", llvm::cl::desc("The name of the executor to use."), llvm::cl::init("standalone"))
llvm::Expected< std::unique_ptr< ToolExecutor > > | clang::tooling::internal::createExecutorFromCommandLineArgsImpl (int &argc, const char **argv, llvm::cl::OptionCategory &Category, const char *Overview=nullptr)
llvm::Expected< std::unique_ptr< ToolExecutor > > | clang::tooling::createExecutorFromCommandLineArgs (int &argc, const char **argv, llvm::cl::OptionCategory &Category, const char *Overview=nullptr)
| This creates a ToolExecutor that is in the global registry based on commandline arguments. More...

## Variables
volatile int | clang::tooling::StandaloneToolExecutorAnchorSource = 0
static int LLVM_ATTRIBUTE_UNUSED | clang::tooling::StandaloneToolExecutorAnchorDest
static int LLVM_ATTRIBUTE_UNUSED | clang::tooling::AllTUsToolExecutorAnchorDest